[SCM] debian-live/config-webc branch, master, updated. 2b4fdc9fe11b933787256ac735b0a2b9225f62f8

Kai Hendry hendry at iki.fi
Sun Feb 8 19:31:37 UTC 2009


The following commit has been merged in the master branch:
commit 2b4fdc9fe11b933787256ac735b0a2b9225f62f8
Author: Kai Hendry <hendry at iki.fi>
Date:   Sun Feb 8 20:04:51 2009 +0100

    sudo accidentally deleted, but put back :-)

diff --git a/mini/config/chroot_local-hooks/minimal b/mini/config/chroot_local-hooks/minimal
deleted file mode 100755
index 4a6f1b4..0000000
--- a/mini/config/chroot_local-hooks/minimal
+++ /dev/null
@@ -1,32 +0,0 @@
-#!/bin/sh
-
-# /usr/share/live-helper/hooks/minimal - hook list for live-helper(7)
-# Copyright (C) 2006-2009 Daniel Baumann <daniel at debian.org>
-#
-# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
-# This is free software, and you are welcome to redistribute it
-# under certain conditions; see COPYING for details.
-
-set -e
-
-# Removing unused packages
-for PACKAGE in apt-utils aptitude man-db manpages info wget
-do
-	if ! apt-get remove --purge --yes "${PACKAGE}"
-	then
-		echo "WARNING: ${PACKAGE} isn't installed"
-	fi
-done
-
-apt-get autoremove --yes || true
-
-# Removing unused files
-find . -name *~ -print0 | xargs -0 rm -f
-
-rm -rf /var/cache/man/*
-
-# Truncating logs
-for FILE in $(find /var/log/ -type f)
-do
-	: > ${FILE}
-done
diff --git a/mini/config/chroot_local-hooks/zzzminimal b/mini/config/chroot_local-hooks/zzzminimal
new file mode 100755
index 0000000..0d500c1
--- /dev/null
+++ b/mini/config/chroot_local-hooks/zzzminimal
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+# /usr/share/live-helper/hooks/minimal - hook list for live-helper(7)
+# Copyright (C) 2006-2009 Daniel Baumann <daniel at debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+echo Removing unused packages
+for PACKAGE in apt-utils aptitude man-db manpages info wget libxapian15 grub grub-common vim-common vim-tiny \
+	tcpd netcat-traditional gcc gcc-4.1 gcc-4.1-base gcc-4.2 gcc-4.2-base xserver-xorg-video-dummy ed dmidecode menu \
+	iptables rsyslog nano
+do
+	if apt-get remove --purge --yes "${PACKAGE}"
+	then
+		apt-get autoremove --yes || true
+	else
+		echo "WARNING: ${PACKAGE} isn't installed"
+	fi
+done
+
+apt-get clean
+
+echo Removing unused files
+find . -name *~ -print0 | xargs -0 rm -f
+
+rm -rf /usr/include/*
+rm -rf /usr/share/doc/*
+rm -rf /usr/share/man/*
+rm -rf /usr/share/info/*
+rm -rf /usr/share/lintian/*
+rm -rf /usr/share/linda/*
+rm -rf /var/cache/man/*
+
+echo Truncating logs
+for FILE in $(find /var/log/ -type f)
+do
+	: > ${FILE}
+done
diff --git a/mini/scripts/config b/mini/scripts/config
index 033fef2..2b9ed6f 100755
--- a/mini/scripts/config
+++ b/mini/scripts/config
@@ -5,24 +5,29 @@ MIRROR_SECURITY="http://ftp.de.debian.org/debian-security/"
 
 lh_config noautoconfig \
 	--apt-recommends disabled \
-	--debian-installer live \
-	--debian-installer-distribution lenny \
 	--bootappend-live "quiet homepage=http://portal.webconverger.com/ nonetworking nosudo splash vga=791" \
+    --debian-installer live \
+    --debian-installer-distribution lenny \
 	-k 486 \
 	-a i386 \
+	-f minimal \
+	-b usb-hdd \
 	--apt apt \
 	--username webc \
 	--hostname webconverger \
-	--bootloader grub \
+	--bootloader syslinux \
 	--categories "main contrib non-free" \
 	--distribution lenny \
 	--iso-publisher "Webconverger; http://webconverger.com/; support at webconverger.com" \
 	--iso-volume "Webconverger $(date +%Y%m%d-%H:%M)" \
 	--memtest none \
+	--syslinux-splash config/binary_syslinux/splash.rle \
+	--syslinux-timeout 1 \
 	--mirror-bootstrap ${MIRROR_DEBIAN} \
 	--mirror-chroot ${MIRROR_DEBIAN} \
 	--mirror-chroot-security ${MIRROR_SECURITY} \
 	--mirror-binary ${MIRROR_DEBIAN} \
 	--mirror-binary-security ${MIRROR_SECURITY} \
+	--binary-indices disabled \
 	--packages-lists "webconverger" \
 	${@}

-- 
debian-live/config-webc



More information about the debian-live-changes mailing list